package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源设施/系统对象 adm_ems_facs
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsFacs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 设施名称 */
    @Excel(name = "设施名称")
    private String facsName;

    private String facsCategory;

    /** 设施分类-名称 */
    @Excel(name = "设施类别")
    private String facsCategoryName;

    /** 设施子类 */
    private String facsSubCategory;

    /** 设施子类名称 */
    @Excel(name = "设施子类")
    private String facsSubCategoryName;

    /** 启用状态0-停用，1-启用 */
    @Excel(name = "启用状态0-停用，1-启用")
    private Long enable;

    /** 归属区域代码 */
    private String refArea;

    /** 归属区域名称 */
    @Excel(name = "归属区域")
    private String refAreaName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    public String getFacsCategory() {
        return facsCategory;
    }

    public void setFacsCategory(String facsCategory) {
        this.facsCategory = facsCategory;
    }

    public String getFacsCategoryName() {
        return facsCategoryName;
    }

    public void setFacsCategoryName(String facsCategoryName) {
        this.facsCategoryName = facsCategoryName;
    }

    public String getFacsSubCategory() {
        return facsSubCategory;
    }

    public void setFacsSubCategory(String facsSubCategory) {
        this.facsSubCategory = facsSubCategory;
    }

    public String getFacsSubCategoryName() {
        return facsSubCategoryName;
    }

    public void setFacsSubCategoryName(String facsSubCategoryName) {
        this.facsSubCategoryName = facsSubCategoryName;
    }

    public Long getEnable() {
        return enable;
    }

    public void setEnable(Long enable) {
        this.enable = enable;
    }

    public String getRefArea() {
        return refArea;
    }

    public void setRefArea(String refArea) {
        this.refArea = refArea;
    }

    public String getRefAreaName() {
        return refAreaName;
    }

    public void setRefAreaName(String refAreaName) {
        this.refAreaName = refAreaName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facsCode", getFacsCode())
            .append("facsName", getFacsName())
            .append("facsCategory", getFacsCategory())
            .append("facsSubCategory", getFacsSubCategory())
            .append("enable", getEnable())
            .append("refArea", getRefArea())
            .toString();
    }
}
